
set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="ugdes2.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "DRAW STRINGS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="First point"
      layer_name="ugdes2.str"
    }
  }
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="12"
    }
  }
}]

set status [ SclFunction "STR MATHS" {
  frm00700={
    {
      _action=display
      file_loc="ugdes"
      file_id="2"
      result_loc="ugdes"
      main=table { str_range constraint field expr } {
        { "10" "" "d1" "4" }
        { "11" "" "d1" "3" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
      }
    }
  }
  frm00701={
    {
      _action="apply"
    }
  }
  frm00121={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="ugdes2.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="First point"
      legend_location="no legend"
      layer_name="ugdes2.str"
    }
  }
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      idesign_string="12"
    }
  }
}]

set status [ SclFunction "MAKE PILLARS" {
  frm00202={
    {
      _action=display
      width_from_desc="Y"
      ifldnum="1"
      cl_string_range="10,11"
    }
  }
}]

set status [ SclFunction "SAVE FILE AS" {
  output_file="ugdes_outline2.str"
  output_type="Surpac String Files"
  output_filenames=""
  Surpac={
    Purpose=""
    range="12"
    FileFormat="text"
    ForceValidation="true"
    ForceCompatibility="true"
  }
}]

SclPause 1

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="ugdes_outline2.str"
  mode="openInNewLayer"
}]

puts ""
puts ""
puts "macro _04b_create_road_outline.tcl completed"
puts ""
